#
# spec file for package jpegoptim
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           jpegoptim
Version:        1.4.6
Release:        lp151.2.2
Summary:        Utility for Optimizing JPEG Files
License:        GPL-2.0-or-later
Group:          Productivity/Graphics/Other
URL:            http://www.kokkonen.net/tjko/projects.html
Source0:        http://www.kokkonen.net/tjko/src/%{name}-%{version}.tar.gz
Source1:        http://www.kokkonen.net/tjko/src/%{name}-%{version}.tar.gz.sig
Source2:        %{name}.keyring
BuildRequires:  libjpeg-devel

%description
jpegoptim is a utility for optimizing JPEG files. It provides lossless
optimization (based on optimizing the Huffman tables) and "lossy" optimization
based on setting a maximum quality factor.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%license COPYING COPYRIGHT
%doc README
%{_bindir}/%{name}
%{_mandir}/man?/*

%changelog
* Wed Apr 18 2018 lazy.kent@opensuse.org
- Update to 1.4.6.
  * Fix double free introduced in previous release.
* Sun Apr  1 2018 avvissu@yandex.by
- Update to 1.4.5 :
  * Fix --overwrite option
  * Better error reporting for -d option
  * Fix memcmp() potentially reading past end of buffer
  * Some minor fixes
* Fri Aug 19 2016 lazy.kent@opensuse.org
- Update to 1.4.4.
  * More detailed error messages.
  * CMake support.
  * Other minor fixes.
* Tue May 19 2015 lazy.kent@opensuse.org
- Update to 1.4.3.
  * Fix bug that could cause jpegoptim crash when processing
    certain jpeg files.
- Remove %%gpg_verify macro.
* Thu Jan  1 2015 lazy.kent@opensuse.org
- Update to 1.4.2.
  * Add option -P, --preserve-perms.
  * Some minor fixes.
* Wed May 28 2014 lazy.kent@opensuse.org
- Update to 1.4.1.
  * Fix --stdin option (assume -f when reading from stdin).
  * Workaround to bug in libjpeg-turbo (v1.3.1) triggered when
    option -V or --version was used.
  * Other minor fixes.
* Tue May 13 2014 lazy.kent@opensuse.org
- Update to 1.4.0.
  * Use memory (instead of temporary files) during optimization.
  * Support for reading input from stdin (and sending output to
    stdout).
  * Report also libjpeg version when --version option used.
  * New option --strip-none to preserve "all" markers.
  * Other minor fixes & cleanup.
* Mon Apr 21 2014 lazy.kent@opensuse.org
- Update to 1.3.1.
  * XMP marker support and new --csv option.
  * Use DESTDIR instead of INSTALL_ROOT.
  * Preserve permissions of files being optimized.
  * Skip symlinks (and other special files).
  * Other minor fixes.
* Tue Jun 18 2013 lazy.kent@opensuse.org
- Update to 1.3.0.
  * Support for progressive jpegs added (fixes long standing "bug"
    of progressive jpegs becoming non-progressive during
    optimization).
  * New options --all-normal & --all-progressive for converting
    jpegs to non-progressive & progressive, new -S / --size option
    to set target size for output file (enables lossy
    optimization).
  * Updated GPL/Copyrights language.
* Wed Mar  6 2013 lazy.kent@opensuse.org
- Update to 1.2.5.
  * Safer temp file handling (if mkstemps() available).
  * Patch to make "quiet mode" (-q) be quiet.
- Verify GPG signature.
- Clean up spec.
* Mon Apr 11 2011 pascal.bleser@opensuse.org
- initial version (1.2.4)
